package com.lightinit.hsdataplatform.dictionary;

import java.util.LinkedHashMap;

public class DicRqrmntType {
    public static final String DATA = "数据";
    public static final String API = "API";
    public static final String MICROAPP = "微应用";

    private static DicRqrmntType instance = null;
    private static LinkedHashMap<String, String> dicMap = null;

    private DicRqrmntType(){
        dicMap = new LinkedHashMap<String, String>();
        dicMap.put(DATA, DATA);
        dicMap.put(API, API);
        dicMap.put(MICROAPP, MICROAPP);
    }

    public static DicRqrmntType getInstacne(){
        if (instance == null)
        {
            instance = new DicRqrmntType();
        }
        return instance;
    }

    public LinkedHashMap<String, String> getDicMap() {
        return (LinkedHashMap<String, String>)dicMap.clone();
    }
}
